org.apache.fop.complexscripts.fonts

## Class GlyphTable.LookupSpec

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphTable.LookupSpec

All Implemented Interfaces:
  Comparable

Enclosing class:
  GlyphTable

    public static class GlyphTable.LookupSpec
    extends Object
    implements Comparable

A structure class encapsulating a lookup specification as a <script,language,feature> tuple.

### Constructor Summary

Constructors
Constructor and Description
`LookupSpec(String script, String language, String feature)` Instantiate lookup spec.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(Object o)`
`boolean` `equals(Object o)`
`String` `getFeature()`
`String` `getLanguage()`
`String` `getScript()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LookupSpec

    public LookupSpec(String script,
                      String language,
                      String feature)

Instantiate lookup spec.

Parameters:
  `script` - a script identifier
  `language` - a language identifier
  `feature` - a feature identifier

### Method Detail

#### getScript

    public String getScript()

Returns:
  script identifier

#### getLanguage

    public String getLanguage()

Returns:
  language identifier

#### getFeature

    public String getFeature()

Returns:
  feature identifier

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### compareTo

    public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`